# Bug Fix Pull Request

Thank you for contributing to the project by fixing this bug!  
Please fill out the following information to help us review your pull request.

---

## Bug Summary

Explain why this fix is needed and what problem it solves.  
If it relates to an existing issue, please link it.
See [Linking a pull request to an issue](https://docs.github.com/en/issues/tracking-your-work-with-issues/using-issues/linking-a-pull-request-to-an-issue).

[Briefly describe the bug you are fixing]

---

## Motivation and Context

Explain why this bug needs to be fixed and the impact it has on the project or users.

[Your explanation here]

---

## List of Changes

[Provide a concise list of the main changes introduced by this pull request to fix the bug.]

- ...

## Steps to Reproduce (if not covered in the linked issue)

If the steps to reproduce the bug are not clearly outlined in the linked issue, please provide them here:

1. ...
2. ...

## Expected Behavior (if not covered in the linked issue)

Describe what the expected behavior should have been before the bug occurred.

[Your description of the expected behavior]

### Actual Behavior (if not covered in the linked issue)

Describe the actual behavior that occurred due to the bug.

[Your description of the actual behavior]

---

## Wiki Updates

[If this bug fix requires any updates to the Wiki, please provide details here.]

---

## Agreements

Please confirm the following by inserting an `x` between the brackets:

- [ ] My code adheres to the [contribution guidelines](blob/main/CONTRIBUTING.md) of the project.
- [ ] My changes generate no new warnings.
- [ ] I have performed a self-review of my own code.
- [ ] I have commented my code, particularly in hard-to-understand areas.
- [ ] I have made corresponding changes to the documentation.
