# Translation Contribution Pull Request

Thank you for contributing to the project's internationalization efforts!  
Please fill out the following information to help us review your translation changes.

---

## Type of Translation Contribution

Please select the type of contribution:

- [ ] Adding a new language translation
- [ ] Fixing errors or improving an existing translation
- [ ] Updating an existing translation with new strings

---

## Target Language

Please specify the language you are adding or modifying:

[List the target language here]

---

## Motivation and Context

Explain why this translation (addition, fix, or update) is needed.

- For fixes, please describe the original error.
- For updates, briefly explain the context of the new strings.

[Your explanation here]

---

## Scope of Changes

Please describe the scope of your translation changes.  
Which parts of the project are affected by these translations?

[Describe the affected areas]

---

## List of Changes

Provide a concise list of the main changes you've made in this pull request.  
If it's a large update, you can highlight key areas.

- ...

---

## Considerations for Reviewers

Are there any specific areas you would like reviewers to pay extra attention to?
For example, specific terminology, cultural nuances, or consistency with existing translations.

[Any specific instructions for reviewers]

---

## Agreements

Please confirm the following:

- [ ] My code adheres to the [contribution guidelines](blob/main/CONTRIBUTING.md) of the project.
- [ ] I have reviewed the existing translations for consistency.
- [ ] I have used appropriate terminology and followed any project-specific translation guidelines.
- [ ] I have tested the translations to the best of my ability.
- [ ] My changes generate no new warnings or errors related to internationalization.
