# 🤝 Contributing to Mushroom Strategy

We love contributions from the community! Whether you're reporting a bug, suggesting a new feature, or submitting code
changes, your help makes the Mushroom Strategy better for everyone.

Please take a moment to review this guide before making a contribution.

## 📜 Code of Conduct

To ensure a welcoming and inclusive environment, all contributors are expected to adhere to
our [Code of Conduct](https://github.com/DigiLive/mushroom-strategy/blob/main/CODE_OF_CONDUCT.md). Please read it
carefully.

---

## 🐞 Reporting Bugs

Found a bug? That's not ideal, but your report helps us squash it!

1. **Check existing issues:** Before opening a new issue, please search
   our GitHub [Issues](https://github.com/DigiLive/mushroom-strategy/issues)
   or [Discussions](https://github.com/DigiLive/mushroom-strategy/discussions) to see if the bug has already been
   reported.
2. **Open a new issue:** If it's a new bug, please open
   a [new issue](https://github.com/DigiLive/mushroom-strategy/issues/new?template=bug_report.yml).
3. **Provide details:** In your report, please follow the instructions and template to include:

   * A clear and concise description of the bug.
   * Steps to reproduce the behavior.
   * Expected behavior.
   * Screenshots or animated GIFs (if applicable).
   * Your Home Assistant version and Mushroom Strategy version.

---

## ✨ Suggesting Features

Have a great idea for a new feature or enhancement? We'd love to hear it!

1. **Check existing suggestions:** Search our GitHub [Issues](https://github.com/DigiLive/mushroom-strategy/issues)
   or [Discussions](https://github.com/DigiLive/mushroom-strategy/discussions) to see if the feature has already been
   requested.
2. **Open a new issue:** If it's a new idea, open
   a [new issue](https://github.com/DigiLive/mushroom-strategy/issues/new?template=feature_request.yml).
3. **Describe your idea:** Clearly explain the feature, why you think it's useful, and any potential use cases by
   following the instructions and template.

---

## 🙏 Get Support

If you have questions about contributing or need help with your setup, please open a
[discussion](https://github.com/DigiLive/mushroom-strategy/discussions) on our GitHub repository.
