# 🚀 Contributing Workflow

This guide outlines a common workflow for contributing to our project.

---

1. **Fork the Repository**
   Start by forking **our repository** (the upstream project) to your own GitHub account.  
   This creates a personal copy where you can make your changes without affecting the original project directly.

2. **Clone Your Fork**
   Clone your forked repository from your GitHub account to your local machine.

3. **Set Up Your Local Development Environment**
   Before making changes, ensure your local environment is ready.  
   See [Getting Started](getting-started.md).

4. **Make Your Changes**
   Work in a new branch for better organization and easier pull requests and Implement your bug fix, new feature, or
   documentation update.  
   See chapters [Code](code.md), [Documentation](documentation.md), and [Translations](translations.md) for guidance and
   details.

5. **Test Your Changes**
   Thoroughly test your changes to ensure they work as expected, address the intended problem, and do not introduce any
   new issues or regressions.

6. **Format and Lint Your Changes**
   Your code should be well-formatted and linted to ensure consistency and readability.  
   If you've set up the project correctly, the tools for this should already be available to this project.

7. **Commit Your Changes**
   Stage your changes and commit them with a clear, descriptive message.  
   Aim for a concise subject line followed by a more detailed body if necessary.
   E.g.:

     ```text
     Fix: Resolve issue with feature X
      
     A clear and concise description of what has been changed, why it was necessary, and any relevant context.
     ```
