# :brown_mushroom: Welcome to the Mushroom Strategy Documentation

[![Release][releaseBadge]][releaseUrl]
[![HACS][hacsBadge]][hacsUrl]
[![Codacy][codacyBadge]][codacyUrl]

The **Mushroom Strategy** is an innovative solution for Home Assistant that empowers you to effortlessly create
beautiful, intuitive, and automatically generated dashboards using the
popular [Mushroom cards](https://github.com/piitaya/lovelace-mushroom).

Say goodbye to tedious manual YAML configuration for every card! With the Mushroom Strategy, you can define your
entities, areas, and devices and let the strategy intelligently build a dynamic and responsive dashboard tailored to
your smart home.

## ✨ Key Features & Benefits

* **Automated Dashboard Generation:** Create a comprehensive dashboard with minimal YAML, saving you countless hours.
* **Leverages Mushroom Cards:** Enjoy the stunning aesthetics and rich functionality of Mushroom cards, renowned for
  their clean design and user-friendliness.
* **Entity, Device, and Area-Aware:** Automatically organizes your Home Assistant components into logical, navigable
  views.
* **Built-in Views:** Access pre-built views for specific domains like lights, fans, climate, and more, ensuring quick
  control.
* **Highly Customizable:** While automated, the strategy provides ample options to fine-tune the appearance and behavior
  to match your preferences.
* **Responsive Design:** Your generated dashboard will look great and function seamlessly across all devices – mobile,
  tablet, and desktop.
* **Mini Graph:** Utilize [Mini Graphs](https://github.com/kalkih/mini-graph-card) to visualize data of sensors.
* **Stateful Scenes Support:** Support for stateful scenes
  from [Stateful Scenes](https://github.com/hugobloem/stateful_scenes).

## 🚀 Get Started in Minutes

Ready to transform your Home Assistant interface? Follow these guides to get your Mushroom Strategy dashboard up and
running:

* [**Installation Guide**](getting-started/installation.md): Step-by-step instructions to install the strategy via HACS
  or manually.
* [**Basic Setup**](getting-started/basic-setup.md): Learn the fundamental configuration to generate your first
  dashboard.
* [**Configuration Options**](options/index.md): Dive deeper into all available settings to customize your dashboard to
  perfection.
* [**Usage Example**](full-example.md): An example to show most of the configuration options.

---

We're excited for you to experience the simplicity and power of the Mushroom Strategy. If you have questions, encounter
issues, or want to contribute, please visit our [GitHub repository](https://github.com/DigiLive/mushroom-strategy) and
engage with the community!

**Enjoying the Mushroom Strategy?** Consider giving our project a
:star: [star on GitHub](https://github.com/DigiLive/mushroom-strategy) and exploring ways
to :heart: [sponsor the project](https://github.com/sponsors/DigiLive) to support its continued development! Your
support helps us grow and improve.

## 👀 Sneak Peak

![Preview GIF](images/preview.gif)

??? note "Click here for more images..."
    ![Automatic](images/auto.png)
    ![Views](images/views.png)
    ![customizable](images/customizable.png)

<!-- Badge References -->

[codacyBadge]: https://app.codacy.com/project/badge/Grade/24de1e79aea445499917d9acd5ce9e04

[hacsBadge]: https://img.shields.io/badge/HACS-Default-blue

[releaseBadge]: https://img.shields.io/github/v/tag/digilive/mushroom-strategy?filter=v2.3.5&label=Release

<!-- Repository References -->

[releaseUrl]: https://github.com/DigiLive/mushroom-strategy/releases/tag/v2.3.5

<!-- Other References -->

[codacyUrl]: https://app.codacy.com/gh/DigiLive/mushroom-strategy/dashboard?utm_source=gh&utm_medium=referral&utm_content=&utm_campaign=Badge_grade

[hacsUrl]: https://hacs.xyz
